// $Id: color.h,v 1.7 2003/02/09 19:28:00 gordon Exp $	
//
// Copyright (C) 2002 Gordon Fraser <gordon@debian.org>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// See the COPYING file for more details
//

#ifndef __color_h__
#define __color_h__

#include <iostream>
#include "x_handler.h"

//--------------------------------------------------------------------
class Color 
{
 protected:
  unsigned value_;

 public:
  Color(const char *colorname1, int prop1, 
	const char *colorname2, int prop2 , 
	XHandler* x_handler);
  Color(const char* colorname , XHandler* x_handler);
  virtual ~Color();
  unsigned long getColor() const
  {
    return value_;
  }
};

#endif //__color_h__
